// some of these were modified from Q3A files
// you may use these shaders for your own purposes
// but not the associated texture files!
//
// by fourdee for hostage rescue map



textures/4dvehicles/light_red_lighted
{
	surfaceparm nomarks
	surfaceparm nolightmap

	qer_editorimage textures/4dvehicles/light_red_lit

	q3map_surfacelight 10000
	{
		map textures/4dvehicles/light_red_lit
	}
}

textures/4dvehicles/light_round_lit
{
	surfaceparm nomarks
	surfaceparm nolightmap

	qer_editorimage textures/4dvehicles/light_round

	q3map_surfacelight 15000
	{
		map textures/4dvehicles/light_round
	}
}

textures/4dvehicles/light_orange_lit
{
	surfaceparm nomarks
	surfaceparm nolightmap

	qer_editorimage textures/4dvehicles/light_orange_lit

	q3map_surfacelight 10000
	{
		map textures/4dvehicles/light_orange_lit
	}
}

textures/4dvehicles/glare
{
	deformVertexes autoSprite2
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap

	qer_editorimage textures/4dvehicles/glare.tga

        cull none

	{
		clampmap textures/4dvehicles/glare.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/4dvehicles/corona
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap

	qer_editorimage textures/4dvehicles/corona.tga

        cull none

	{
		clampmap textures/4dvehicles/corona.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/4dvehicles/corona_orange
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap

	qer_editorimage textures/4dvehicles/corona_orange.tga

        cull none

	{
		clampmap textures/4dvehicles/corona_orange.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/4dvehicles/corona_sodium
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap

	qer_editorimage textures/4dvehicles/corona_sodium.tga

        cull none

	{
		clampmap textures/4dvehicles/corona_sodium.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/4dvehicles/corona_red
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap

	qer_editorimage textures/4dvehicles/corona_red.tga

        cull none

	{
		clampmap textures/4dvehicles/corona_red.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/4dvehicles/skylight
{
        qer_editorimage textures/4dvehicles/blueglass.tga
	//surfaceparm nolightmap
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
                map textures/4dvehicles/blueglass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		//depthWrite
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/4dvehicles/blueglass
{
        qer_editorimage textures/4dvehicles/blueglass.tga
	//surfaceparm nolightmap
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
                map textures/4dvehicles/blueglass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		//depthWrite
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/4dvehicles/shiny_steel
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm metalsteps
        //surfaceparm trans	
	//cull none
	//qer_trans 	0.5
     
	{
		map textures/4dvehicles/steel.jpg
		tcMod scale 0.5 0.5		
		rgbGen identity
	}
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/4dvehicles/glass
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/4dvehicles/glassback
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm nodraw
//	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks	
	qer_trans 	0.25
     
}

textures/4dvehicles/greenglass
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans	
//	cull none
	qer_trans 	0.25
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}